### POST /rpc/createFolder
Source: https://api.datalens.tech/json
API endpoint for POST /rpc/createFolder
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
### Request Body
**Content-Type:** application/json
- **key** (string) (required)
- **initialPermissions** (object)
- **acl_adm** (array (DlsInitialPermissionItem))
Array items:
- **comment** (string) (required)
- **subject** (string) (required)
- **acl_edit** (array (DlsInitialPermissionItem))
Array items:
- **acl_view** (array (DlsInitialPermissionItem))
Array items:
- **acl_execute** (array (DlsInitialPermissionItem))
Array items:
### Responses
#### 200 - Response
**CreateFolderResult**
- **entryId** (string) (required)
- **scope** (string (folder)) (required) ("folder")
- **type** (string ()) (required) ("")
- **key** (string) (required)
- **unversionedData** (object) (required)
- **createdBy** (string) (required)
- **createdAt** (string) (required)
- **updatedBy** (string) (required)
- **updatedAt** (string) (required)
- **savedId** (string) (required)
- **revId** (string) (required)
- **publishedId** (string,null) (required)
- **tenantId** (string) (required)
- **data** (object) (required)
- **meta** (object) (required)
- **annotation** (null) (required)
- **hidden** (boolean) (required)
- **mirrored** (boolean) (required)
- **public** (boolean) (required)
- **workbookId** (null) (required)
- **collectionId** (null) (required)
- **version** (null) (required)
- **sourceVersion** (null) (required)
- **links** (null) (required)
### Example Usage
```bash
curl -X POST "//rpc/createFolder" \
-H "Content-Type: application/json" \
-d '{
"key": "string",
"initialPermissions": "value"
}'
```
```
--------------------------------
### POST /rpc/getQLChart
Source: https://api.datalens.tech/json
Returns the specified QL chart.
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
- **x-dl-audit-mode** (string (true), header, optional)
### Request Body
**Content-Type:** application/json
- **chartId** (string) (required): ID of the QL chart to return. You can find it in the chart settings in DataLens interface.
- **workbookId** (string,null): ID of the workbook the QL chart belongs to. If navigation across folders is enabled and the QL chart belongs to a folder, the value must be `null`.
- **revId** (string): Version ID for the QL chart.
If the field is empty, you will get the current version of the QL chart.
- **includePermissions** (boolean): Include information on configured permissions in the response.
- **includeLinks** (boolean): Include information on configured links in the response.
- **includeFavorite** (boolean): Include favorite status in the response.
- **branch** (string (saved|published)) ("saved"|"published")
### Responses
#### 200 - Response
### Example Usage
```bash
curl -X POST "//rpc/getQLChart" \
-H "Content-Type: application/json" \
-d '{
"chartId": "string",
"workbookId": "value",
"revId": "string",
"includePermissions": "true",
"includeLinks": "true",
"includeFavorite": "true",
"branch": "value"
}'
```
```
--------------------------------
### POST /rpc/createWizardChart
Source: https://api.datalens.tech/json
API endpoint for POST /rpc/createWizardChart
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
### Request Body
**Content-Type:** application/json
- **template** (string (datalens)) (required) ("datalens")
- **annotation** (object)
- **description** (string) (required)
- **data** (object) (required)
- **key** (string)
- **workbookId** (string)
- **name** (string)
### Responses
#### 200 - Response
### Example Usage
```bash
curl -X POST "//rpc/createWizardChart" \
-H "Content-Type: application/json" \
-d '{
"template": "datalens",
"annotation": "value",
"data": {},
"key": "string",
"workbookId": "string",
"name": "string"
}'
```
```
--------------------------------
### Schema: CreateQLChartArgs
Source: https://api.datalens.tech/json
Schema definition for CreateQLChartArgs
```markdown
## Schema: CreateQLChartArgs
Schema definition for CreateQLChartArgs
**Type:** object
- **template** (string (ql)) (required) ("ql")
- **annotation** (object)
- **description** (string) (required)
- **data** (object) (required)
- **key** (string)
- **workbookId** (string)
- **name** (string)
```
--------------------------------
### POST /rpc/getLicensesLimit
Source: https://api.datalens.tech/json
API endpoint for POST /rpc/getLicensesLimit
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
### Responses
#### 200 - Response
**LicenseLimits**
- **current** (object,null) (required)
- **next** (object,null) (required)
### Example Usage
```bash
curl -X POST "//rpc/getLicensesLimit"
```
```
--------------------------------
### Schema: Preview
Source: https://api.datalens.tech/json
Schema definition for Preview
```markdown
## Schema: Preview
Schema definition for Preview
**Type:** object
- **enabled** (boolean)
```
--------------------------------
### Schema: CreateFolderArgs
Source: https://api.datalens.tech/json
Schema definition for CreateFolderArgs
```markdown
## Schema: CreateFolderArgs
Schema definition for CreateFolderArgs
**Type:** object
- **key** (string) (required)
- **initialPermissions** (object)
- **acl_adm** (array (DlsInitialPermissionItem))
Array items:
- **comment** (string) (required)
- **subject** (string) (required)
- **acl_edit** (array (DlsInitialPermissionItem))
Array items:
- **acl_view** (array (DlsInitialPermissionItem))
Array items:
- **acl_execute** (array (DlsInitialPermissionItem))
Array items:
```
--------------------------------
### POST /rpc/createEditorChart
Source: https://api.datalens.tech/json
Creates the specified Editor chart.
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
### Request Body
**Content-Type:** application/json
- **entry** (object) (required)
- **meta** (object): Metadata associated with the entry.
- **links** (object): Link information.
- **annotation** (object): Annotation information.
- **description** (string) (required)
- **key** (string): Key identifier of the entry.
- **workbookId** (string): ID of the workbook to create the Editor chart.
- **name** (string): Name of the Editor chart.
- **type** (string (table_node)) (required): For Table Editor charts takes value: table_node ("table_node")
- **data** (object) (required)
- **meta** (string) (required): Configuration from the Meta tab.
- **params** (string) (required): Configuration from the Params tab.
- **sources** (string) (required): Configuration from the Sources tab.
- **controls** (string) (required): Configuration from the Controls tab.
- **prepare** (string) (required): Configuration from the Prepare tab.
- **config** (string) (required): Configuration from the Config tab.
### Responses
#### 200 - Response
**CreateEditorChartResult**
- **entry** (object) (required)
- **version** (number) (required): Editor version. ("1")
- **entryId** (string) (required): Unique identifier of the entry.
- **key** (null) (required)
- **createdAt** (string) (required): Creation timestamp.
- **createdBy** (string) (required): Creator of the entry.
- **updatedAt** (string) (required): Last update timestamp.
- **updatedBy** (string) (required): Last updater of the entry.
- **revId** (string) (required): Version ID for the Editor chart.
- **savedId** (string) (required): Saved version ID.
- **publishedId** (string,null) (required): Published version ID.
- **tenantId** (string) (required): Tenant ID.
- **hidden** (boolean) (required): Indicates if the entry is hidden.
- **public** (boolean) (required): Indicates if the entry is public.
- **workbookId** (null) (required)
- **scope** (string (widget)) (required): Type of the entry. For charts takes value: widget ("widget")
- **meta** (object,null) (required): Metadata associated with the entry.
- **links** (object,null): Link information.
- **annotation** (object,null): Annotation information.
- **type** (string (table_node)) (required): For Table Editor charts takes value: table_node ("table_node")
- **data** (object) (required)
- **meta** (string) (required): Configuration from the Meta tab.
- **params** (string) (required): Configuration from the Params tab.
- **sources** (string) (required): Configuration from the Sources tab.
- **controls** (string) (required): Configuration from the Controls tab.
- **prepare** (string) (required): Configuration from the Prepare tab.
- **config** (string) (required): Configuration from the Config tab.
### Example Usage
```bash
curl -X POST "//rpc/createEditorChart" \
-H "Content-Type: application/json" \
-d '{
"entry": "value"
}'
```
```
--------------------------------
### POST /rpc/createDashboard
Source: https://api.datalens.tech/json
API endpoint for POST /rpc/createDashboard
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
### Request Body
**Content-Type:** application/json
- **entry** (object) (required)
- **data** (object) (required)
- **counter** (integer) (required)
- **salt** (string) (required)
- **schemeVersion** (number) (required) ("8")
- **tabs** (array (object)) (required)
Array items:
- **id** (string) (required)
- **title** (string) (required)
- **hidden** (boolean)
- **items** (array (union)) (required)
Array items:
- **id** (string) (required)
- **namespace** (string (default)) (required) ("default")
- **type** (string (text)) (required) ("text")
- **data** (object) (required)
- **text** (string) (required)
- **layout** (array (object)) (required)
Array items:
- **i** (string) (required)
- **h** (number) (required)
- **w** (number) (required)
- **x** (number) (required)
- **y** (number) (required)
- **parent** (string)
- **connections** (array (object)) (required)
Array items:
- **from** (string) (required)
- **to** (string) (required)
- **kind** (string (ignore)) (required) ("ignore")
- **aliases** (object) (required)
- **default** (array (array (string)))
- **globalItems** (array (union))
Array items:
- **id** (string) (required)
- **namespace** (string (default)) (required) ("default")
- **type** (string (control)) (required) ("control")
- **data** (object) (required)
- **title** (string) (required)
- **impactType** (string (allTabs|currentTab|selectedTabs)): Type that regulate which tabs the selector will be displayed on ("allTabs"|"currentTab"|"selectedTabs")
- **impactTabsIds** (array,null): List of tabs ids that regulate which tabs the selector will be displayed on. Depends on impactType field
- **sourceType** (string (dataset)) (required) ("dataset")
- **source** (object) (required)
- **required** (boolean)
- **showHint** (boolean)
- **showTitle** (boolean)
- **elementType** (string (select)) (required) ("select")
- **defaultValue** (string)
- **multiselectable** (boolean)
- **datasetId** (string) (required)
- **datasetFieldId** (string) (required)
- **defaults** (object) (required)
- **settings** (object)
- **fixedHeaderCollapsedDefault** (boolean)
- **isGoldenset** (boolean)
- **settings** (object) (required)
- **autoupdateInterval** (number) (required)
- **maxConcurrentRequests** (number) (required)
- **loadPriority** (string (charts|selectors)) ("charts"|"selectors")
- **silentLoading** (boolean) (required)
- **dependentSelectors** (boolean) (required)
- **globalParams** (object)
- **hideTabs** (boolean)
- **hideDashTitle** (boolean)
- **expandTOC** (boolean) (required)
- **assistantEnabled** (boolean)
- **supportDescription** (string)
- **accessDescription** (string)
- **meta** (object,null) (required)
- **annotation** (object)
- **description** (string) (required)
- **key** (string)
- **workbookId** (string)
- **name** (string)
### Responses
#### 200 - Response
- **entry** (object) (required)
- **annotation** (object,null)
- **createdAt** (string) (required)
- **createdBy** (string) (required)
- **data** (object) (required)
- **counter** (integer) (required)
- **salt** (string) (required)
- **schemeVersion** (number) (required) ("8")
- **tabs** (array (object)) (required)
Array items:
- **id** (string) (required)
- **title** (string) (required)
- **hidden** (boolean)
- **items** (array (union)) (required)
Array items:
- **id** (string) (required)
- **namespace** (string (default)) (required) ("default")
- **type** (string (text)) (required) ("text")
- **data** (object) (required)
- **text** (string) (required)
- **layout** (array (object)) (required)
Array items:
- **i** (string) (required)
- **h** (number) (required)
- **w** (number) (required)
- **x** (number) (required)
- **y** (number) (required)
- **parent** (string)
- **connections** (array (object)) (required)
Array items:
- **from** (string) (required)
- **to** (string) (required)
- **kind** (string (ignore)) (required) ("ignore")
- **aliases** (object) (required)
- **default** (array (array (string)))
- **globalItems** (array (union))
Array items:
- **id** (string) (required)
- **namespace** (string (default)) (required) ("default")
- **type** (string (control)) (required) ("control")
- **data** (object) (required)
- **title** (string) (required)
- **impactType** (string (allTabs|currentTab|selectedTabs)): Type that regulate which tabs the selector will be displayed on ("allTabs"|"currentTab"|"selectedTabs")
- **impactTabsIds** (array,null): List of tabs ids that regulate which tabs the selector will be displayed on. Depends on impactType field
- **sourceType** (string (dataset)) (required) ("dataset")
- **source** (object) (required)
- **required** (boolean)
- **showHint** (boolean)
- **showTitle** (boolean)
- **elementType** (string (select)) (required) ("select")
- **defaultValue** (string)
- **multiselectable** (boolean)
- **datasetId** (string) (required)
- **datasetFieldId** (string) (required)
- **defaults** (object) (required)
- **settings** (object)
- **fixedHeaderCollapsedDefault** (boolean)
- **isGoldenset** (boolean)
- **settings** (object) (required)
- **autoupdateInterval** (number) (required)
- **maxConcurrentRequests** (number) (required)
- **loadPriority** (string (charts|selectors)) ("charts"|"selectors")
- **silentLoading** (boolean) (required)
- **dependentSelectors** (boolean) (required)
- **globalParams** (object)
- **hideTabs** (boolean)
- **hideDashTitle** (boolean)
- **expandTOC** (boolean) (required)
- **assistantEnabled** (boolean)
- **supportDescription** (string)
- **accessDescription** (string)
- **entryId** (string) (required)
- **hidden** (boolean) (required)
- **key** (null) (required)
- **links** (object,null)
- **meta** (object,null) (required)
- **public** (boolean) (required)
- **publishedId** (string,null) (required)
- **revId** (string) (required)
- **savedId** (string) (required)
- **scope** (string (dash)) (required) ("dash")
- **tenantId** (string) (required)
- **type** (string ()) (required) ("")
- **updatedAt** (string) (required)
- **updatedBy** (string) (required)
- **version** (number) (required) ("1")
- **workbookId** (null) (required)
### Example Usage
```bash
curl -X POST "//rpc/createDashboard" \
-H "Content-Type: application/json" \
-d '{
"entry": "value"
}'
```
```
--------------------------------
### POST /rpc/listDirectory
Source: https://api.datalens.tech/json
Lists entries from the specified directory.
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
### Request Body
**Content-Type:** application/json
- **path** (string): Directory path to list entries from.
- **createdBy** (string)
- **orderBy** (object): Sorting configuration.
- **field** (string (createdAt|name)) (required): Field to order by entries:
- `createdAt` — date of field creation;
- `name` — name of the field. ("createdAt"|"name")
- **direction** (string (desc|asc)) (required): Sorting direction:
- `desc` — descending;
- `asc` — ascending. ("desc"|"asc")
- **filters** (object): Filtering configuration.
- **name** (string): Filter entries by name.
- **page** (number): Page number for pagination.
- **pageSize** (number): Number of entries per page.
- **includePermissionsInfo** (boolean): Include permission information in response.
### Responses
#### 200 - Response
**ListDirectoryResult**
- **hasNextPage** (boolean) (required): Indicates if there are more pages.
- **breadCrumbs** (array (ListDirectoryBreadCrumb)) (required): Navigation breadcrumbs for the current path.
Array items:
- **title** (string) (required): Title of the breadcrumb item.
- **path** (string) (required): Path of the breadcrumb item.
- **entryId** (string) (required): Entry ID of the breadcrumb item.
- **isLocked** (boolean) (required): Indicates if the item is locked.
- **permissions** (object) (required): Permissions for the breadcrumb item.
- **execute** (boolean) (required): Indicates if there are permissions to execute.
- **read** (boolean) (required): Indicates if there are permissions to read.
- **edit** (boolean) (required): Indicates if there are permissions to edit.
- **admin** (boolean) (required): Indicates if there are permissions for admin.
- **entries** (array (ListDirectoryEntry)) (required): List of directory entries.
Array items:
- **entryId** (string) (required): Unique identifier of the entry.
- **key** (string) (required): Key identifier of the entry.
- **scope** (string) (required): Specified type of the entry from scope (e.g. type of the connection or visualization type for charts).
- **type** (string) (required): Type of the entry (e.g., dash, dataset, connection).
- **meta** (object,null) (required): Metadata associated with the entry.
- **createdAt** (string) (required): Creation timestamp.
- **updatedAt** (string) (required): Last update timestamp.
- **createdBy** (string) (required): Creator of the entry.
- **updatedBy** (string) (required): Last updater of the entry.
- **savedId** (string) (required): Saved version ID.
- **publishedId** (string,null) (required): Published version ID.
- **hidden** (boolean) (required): Indicates if the entry is hidden.
- **workbookId** (string) (required): ID of the workbook the entry belongs to.
- **workbookTitle** (string,null): Workbook name.
- **collectionId** (string,null) (required): ID of the collection the entry belongs to.
- **collectionTitle** (string,null): Collection name.
- **isFavorite** (boolean) (required): Indicates if the entry is marked as favorite.
- **isLocked** (boolean) (required): Indicates if the entry is locked.
- **permissions** (object): Permissions for the entry.
- **name** (string) (required): Name of the entry.
### Example Usage
```bash
curl -X POST "//rpc/listDirectory" \
-H "Content-Type: application/json" \
-d '{
"path": "string",
"createdBy": "value",
"orderBy": {
"field": "createdAt",
"direction": "desc"
},
"filters": {
"name": "string"
},
"page": "0",
"pageSize": "0",
"includePermissionsInfo": "true"
}'
```
```
--------------------------------
### Schema: CreateFolderResult
Source: https://api.datalens.tech/json
Schema definition for CreateFolderResult
```markdown
## Schema: CreateFolderResult
Schema definition for CreateFolderResult
**Type:** object
- **entryId** (string) (required)
- **scope** (string (folder)) (required) ("folder")
- **type** (string ()) (required) ("")
- **key** (string) (required)
- **unversionedData** (object) (required)
- **createdBy** (string) (required)
- **createdAt** (string) (required)
- **updatedBy** (string) (required)
- **updatedAt** (string) (required)
- **savedId** (string) (required)
- **revId** (string) (required)
- **publishedId** (string,null) (required)
- **tenantId** (string) (required)
- **data** (object) (required)
- **meta** (object) (required)
- **annotation** (null) (required)
- **hidden** (boolean) (required)
- **mirrored** (boolean) (required)
- **public** (boolean) (required)
- **workbookId** (null) (required)
- **collectionId** (null) (required)
- **version** (null) (required)
- **sourceVersion** (null) (required)
- **links** (null) (required)
```
--------------------------------
### POST /rpc/startWorkbookImport
Source: https://api.datalens.tech/json
API endpoint for POST /rpc/startWorkbookImport
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
### Request Body
**Content-Type:** application/json
- **data** (object) (required)
- **title** (string) (required)
- **description** (string)
- **collectionId** (string,null) (required)
### Responses
#### 200 - Response
**StartWorkbookImportResult**
- **importId** (string) (required)
- **workbookId** (string) (required)
### Example Usage
```bash
curl -X POST "//rpc/startWorkbookImport" \
-H "Content-Type: application/json" \
-d '{
"data": "value",
"title": "string",
"description": "string",
"collectionId": "value"
}'
```
```
--------------------------------
### Schema: CreateWizardChartArgs
Source: https://api.datalens.tech/json
Schema definition for CreateWizardChartArgs
```markdown
## Schema: CreateWizardChartArgs
Schema definition for CreateWizardChartArgs
**Type:** object
- **template** (string (datalens)) (required) ("datalens")
- **annotation** (object)
- **description** (string) (required)
- **data** (object) (required)
- **key** (string)
- **workbookId** (string)
- **name** (string)
```
--------------------------------
### POST /rpc/getLicenses
Source: https://api.datalens.tech/json
API endpoint for POST /rpc/getLicenses
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
### Request Body
**Content-Type:** application/json
- **userIds** (array (string))
- **status** (string (active|expired|expiring)) ("active"|"expired"|"expiring")
- **sortBy** (string (createdAt|updatedAt)) ("createdAt"|"updatedAt")
- **order** (string (asc|desc)) ("asc"|"desc")
- **limit** (number)
- **pageToken** (string)
### Responses
#### 200 - Response
**GetLicensesResult**
- **licenses** (array (LicenseWithLastLogin)) (required)
Array items:
- **licenseId** (string) (required)
- **meta** (object) (required)
- **tenantId** (string) (required)
- **userId** (string) (required)
- **licenseType** (string (creator)) (required) ("creator")
- **isActive** (boolean) (required)
- **expiresAt** (string) (required)
- **createdBy** (string) (required)
- **createdAt** (string) (required)
- **updatedBy** (string) (required)
- **updatedAt** (string) (required)
- **lastLoginAt** (string,null) (required)
- **nextPageToken** (string)
### Example Usage
```bash
curl -X POST "//rpc/getLicenses" \
-H "Content-Type: application/json" \
-d '{
"userIds": [
"string"
],
"status": "active",
"sortBy": "createdAt",
"order": "asc",
"limit": "0",
"pageToken": "string"
}'
```
```
--------------------------------
### POST /rpc/createQLChart
Source: https://api.datalens.tech/json
API endpoint for POST /rpc/createQLChart
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
### Request Body
**Content-Type:** application/json
- **template** (string (ql)) (required) ("ql")
- **annotation** (object)
- **description** (string) (required)
- **data** (object) (required)
- **key** (string)
- **workbookId** (string)
- **name** (string)
### Responses
#### 200 - Response
### Example Usage
```bash
curl -X POST "//rpc/createQLChart" \
-H "Content-Type: application/json" \
-d '{
"template": "ql",
"annotation": "value",
"data": {},
"key": "string",
"workbookId": "string",
"name": "string"
}'
```
```
--------------------------------
### Schema: GetQLChartArgs
Source: https://api.datalens.tech/json
Schema definition for GetQLChartArgs
```markdown
## Schema: GetQLChartArgs
Schema definition for GetQLChartArgs
**Type:** object
- **chartId** (string) (required): ID of the QL chart to return. You can find it in the chart settings in DataLens interface.
- **workbookId** (string,null): ID of the workbook the QL chart belongs to. If navigation across folders is enabled and the QL chart belongs to a folder, the value must be `null`.
- **revId** (string): Version ID for the QL chart.
If the field is empty, you will get the current version of the QL chart.
- **includePermissions** (boolean): Include information on configured permissions in the response.
- **includeLinks** (boolean): Include information on configured links in the response.
- **includeFavorite** (boolean): Include favorite status in the response.
- **branch** (string (saved|published)) ("saved"|"published")
```
--------------------------------
### Schema: StartWorkbookImportArgs
Source: https://api.datalens.tech/json
Schema definition for StartWorkbookImportArgs
```markdown
## Schema: StartWorkbookImportArgs
Schema definition for StartWorkbookImportArgs
**Type:** object
- **data** (object) (required)
- **title** (string) (required)
- **description** (string)
- **collectionId** (string,null) (required)
```
--------------------------------
### Schema: CreateDashboardV1Args
Source: https://api.datalens.tech/json
Schema definition for CreateDashboardV1Args
```markdown
## Schema: CreateDashboardV1Args
Schema definition for CreateDashboardV1Args
**Type:** object
- **entry** (object) (required)
- **data** (object) (required)
- **counter** (integer) (required)
- **salt** (string) (required)
- **schemeVersion** (number) (required) ("8")
- **tabs** (array (object)) (required)
Array items:
- **id** (string) (required)
- **title** (string) (required)
- **hidden** (boolean)
- **items** (array (union)) (required)
Array items:
- **id** (string) (required)
- **namespace** (string (default)) (required) ("default")
- **type** (string (text)) (required) ("text")
- **data** (object) (required)
- **text** (string) (required)
- **layout** (array (object)) (required)
Array items:
- **i** (string) (required)
- **h** (number) (required)
- **w** (number) (required)
- **x** (number) (required)
- **y** (number) (required)
- **parent** (string)
- **connections** (array (object)) (required)
Array items:
- **from** (string) (required)
- **to** (string) (required)
- **kind** (string (ignore)) (required) ("ignore")
- **aliases** (object) (required)
- **default** (array (array (string)))
- **globalItems** (array (union))
Array items:
- **id** (string) (required)
- **namespace** (string (default)) (required) ("default")
- **type** (string (control)) (required) ("control")
- **data** (object) (required)
- **title** (string) (required)
- **impactType** (string (allTabs|currentTab|selectedTabs)): Type that regulate which tabs the selector will be displayed on ("allTabs"|"currentTab"|"selectedTabs")
- **impactTabsIds** (array,null): List of tabs ids that regulate which tabs the selector will be displayed on. Depends on impactType field
- **sourceType** (string (dataset)) (required) ("dataset")
- **source** (object) (required)
- **required** (boolean)
- **showHint** (boolean)
- **showTitle** (boolean)
- **elementType** (string (select)) (required) ("select")
- **defaultValue** (string)
- **multiselectable** (boolean)
- **datasetId** (string) (required)
- **datasetFieldId** (string) (required)
- **defaults** (object) (required)
- **settings** (object)
- **fixedHeaderCollapsedDefault** (boolean)
- **isGoldenset** (boolean)
- **settings** (object) (required)
- **autoupdateInterval** (number) (required)
- **maxConcurrentRequests** (number) (required)
- **loadPriority** (string (charts|selectors)) ("charts"|"selectors")
- **silentLoading** (boolean) (required)
- **dependentSelectors** (boolean) (required)
- **globalParams** (object)
- **hideTabs** (boolean)
- **hideDashTitle** (boolean)
- **expandTOC** (boolean) (required)
- **assistantEnabled** (boolean)
- **supportDescription** (string)
- **accessDescription** (string)
- **meta** (object,null) (required)
- **annotation** (object)
- **description** (string) (required)
- **key** (string)
- **workbookId** (string)
- **name** (string)
```
--------------------------------
### POST /rpc/assignLicenses
Source: https://api.datalens.tech/json
API endpoint for POST /rpc/assignLicenses
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
### Request Body
**Content-Type:** application/json
- **userIds** (array (string)) (required)
### Responses
#### 200 - Response
- Array of License
### Example Usage
```bash
curl -X POST "//rpc/assignLicenses" \
-H "Content-Type: application/json" \
-d '{
"userIds": [
"string"
]
}'
```
```
--------------------------------
### POST /rpc/getWizardChart
Source: https://api.datalens.tech/json
API endpoint for POST /rpc/getWizardChart
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
- **x-dl-audit-mode** (string (true), header, optional)
### Request Body
**Content-Type:** application/json
- **chartId** (string) (required)
- **workbookId** (string,null)
- **revId** (string)
- **includePermissions** (boolean)
- **includeLinks** (boolean)
- **includeFavorite** (boolean)
- **branch** (string (saved|published)) ("saved"|"published")
### Responses
#### 200 - Response
### Example Usage
```bash
curl -X POST "//rpc/getWizardChart" \
-H "Content-Type: application/json" \
-d '{
"chartId": "string",
"workbookId": "value",
"revId": "string",
"includePermissions": "true",
"includeLinks": "true",
"includeFavorite": "true",
"branch": "value"
}'
```
```
--------------------------------
### POST /rpc/setLicenseLimit
Source: https://api.datalens.tech/json
API endpoint for POST /rpc/setLicenseLimit
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
### Request Body
**Content-Type:** application/json
- **value** (number) (required)
### Responses
#### 200 - Response
**LicenseLimits**
- **current** (object,null) (required)
- **next** (object,null) (required)
### Example Usage
```bash
curl -X POST "//rpc/setLicenseLimit" \
-H "Content-Type: application/json" \
-d '{
"value": "0"
}'
```
```
--------------------------------
### POST /rpc/createConnection
Source: https://api.datalens.tech/json
API endpoint for POST /rpc/createConnection
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
### Request Body
**Content-Type:** application/json
- **accuracy** (number,null)
- **collection_id** (string,null)
- **counter_id** (string) (required)
- **created_at** (string)
- **data_export_forbidden** (unknown)
- **description** (string,null)
- **dir_path** (string) (required)
- **id** (string)
- **key** (string)
- **meta** (object)
- **name** (string) (required)
- **token** (string) (required)
- **type** (string)
- **updated_at** (string)
- **workbook_id** (string,null)
### Responses
#### 200 - Response
**CreateConnectionResult**
- **id** (string) (required)
### Example Usage
```bash
curl -X POST "//rpc/createConnection" \
-H "Content-Type: application/json" \
-d '{
"accuracy": "null",
"collection_id": "null",
"counter_id": "string",
"created_at": "string",
"data_export_forbidden": "off",
"description": "",
"dir_path": "string",
"id": "string",
"key": "string",
"meta": "value",
"name": "string",
"token": "string",
"type": "string",
"updated_at": "string",
"workbook_id": "null"
}'
```
```
--------------------------------
### Schema: StartWorkbookExportArgs
Source: https://api.datalens.tech/json
Schema definition for StartWorkbookExportArgs
```markdown
## Schema: StartWorkbookExportArgs
Schema definition for StartWorkbookExportArgs
**Type:** object
- **workbookId** (string) (required)
```
--------------------------------
### POST /rpc/startWorkbookExport
Source: https://api.datalens.tech/json
API endpoint for POST /rpc/startWorkbookExport
```markdown
### Parameters
- **x-dl-api-version** (string, header, required): API version header. (example: "1")
### Request Body
**Content-Type:** application/json
- **workbookId** (string) (required)
### Responses
#### 200 - Response
**StartWorkbookExportResult**
- **exportId** (string) (required)
### Example Usage
```bash
curl -X POST "//rpc/startWorkbookExport" \
-H "Content-Type: application/json" \
-d '{
"workbookId": "string"
}'
```
```
--------------------------------
### Schema: LicenseLimit
Source: https://api.datalens.tech/json
Schema definition for LicenseLimit
```markdown
## Schema: LicenseLimit
Schema definition for LicenseLimit
**Type:** object,null
```